Mac OS 10.10 ruby bad interpreter issue

應該不少人更新了Mac OS 10.10
在使用上可能跟我一樣會發生ruby的執行錯誤問題,這個問題一般是在console mode開啟當下發生:


修正方式很簡單,該錯誤是因為ruby interpreter找不到...
在/usr/local/Library/brew.rb這個檔案修改一開始的執行程式位置定義即可

$ vi /usr/local/Library/brew.rb


如上所示,只要把原本的"/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby -W0"移除,然後改成"/System/Library/Frameworks/Ruby.framework/Versions/Current/usr/bin/ruby -W0",存擋後就可以正常了!